import { CommonsType } from 'tscommons-core';
import { __extends, __decorate, __metadata } from 'tslib';
import { Input, Component, NgModule } from '@angular/core';
import { CommonsComponent } from 'ngx-angularcommons-core';
import { CommonModule } from '@angular/common';

var ECommonsPalette;
(function (ECommonsPalette) {
    ECommonsPalette["PRIMARY"] = "primary";
    ECommonsPalette["PRIMARY_LIGHT"] = "primary-light";
    ECommonsPalette["PRIMARY_DARK"] = "primary-dark";
    ECommonsPalette["SECONDARY"] = "secondary";
    ECommonsPalette["SECONDARY_LIGHT"] = "secondary-light";
    ECommonsPalette["SECONDARY_DARK"] = "secondary-dark";
})(ECommonsPalette || (ECommonsPalette = {}));
function toECommonsPalette(type) {
    switch (type) {
        case ECommonsPalette.PRIMARY.toString():
            return ECommonsPalette.PRIMARY;
        case ECommonsPalette.PRIMARY_LIGHT.toString():
            return ECommonsPalette.PRIMARY_LIGHT;
        case ECommonsPalette.PRIMARY_DARK.toString():
            return ECommonsPalette.PRIMARY_DARK;
        case ECommonsPalette.SECONDARY.toString():
            return ECommonsPalette.SECONDARY;
        case ECommonsPalette.SECONDARY_LIGHT.toString():
            return ECommonsPalette.SECONDARY_LIGHT;
        case ECommonsPalette.SECONDARY_DARK.toString():
            return ECommonsPalette.SECONDARY_DARK;
    }
    return undefined;
}
function fromECommonsPalette(type) {
    switch (type) {
        case ECommonsPalette.PRIMARY:
            return ECommonsPalette.PRIMARY.toString();
        case ECommonsPalette.PRIMARY_LIGHT:
            return ECommonsPalette.PRIMARY_LIGHT.toString();
        case ECommonsPalette.PRIMARY_DARK:
            return ECommonsPalette.PRIMARY_DARK.toString();
        case ECommonsPalette.SECONDARY:
            return ECommonsPalette.SECONDARY.toString();
        case ECommonsPalette.SECONDARY_LIGHT:
            return ECommonsPalette.SECONDARY_LIGHT.toString();
        case ECommonsPalette.SECONDARY_DARK:
            return ECommonsPalette.SECONDARY_DARK.toString();
    }
    throw new Error('Unknown ECommonsPalette');
}
function isECommonsPalette(test) {
    if (!CommonsType.isString(test))
        return false;
    return toECommonsPalette(test) !== undefined;
}
function keyToECommonsPalette(key) {
    switch (key) {
        case 'PRIMARY':
            return ECommonsPalette.PRIMARY;
        case 'PRIMARY_LIGHT':
            return ECommonsPalette.PRIMARY_LIGHT;
        case 'PRIMARY_DARK':
            return ECommonsPalette.PRIMARY_DARK;
        case 'SECONDARY':
            return ECommonsPalette.SECONDARY;
        case 'SECONDARY_LIGHT':
            return ECommonsPalette.SECONDARY_LIGHT;
        case 'SECONDARY_DARK':
            return ECommonsPalette.SECONDARY_DARK;
    }
    throw new Error("Unable to obtain ECommonsPalette for key: " + key);
}
var ɵ0 = function (e) { return keyToECommonsPalette(e); };
var ECOMMONS_PALETTES = Object.keys(ECommonsPalette)
    .map(ɵ0);

var GraphicsSvgComponent = /** @class */ (function (_super) {
    __extends(GraphicsSvgComponent, _super);
    function GraphicsSvgComponent() {
        var _this = _super.call(this) || this;
        _this.width = 100;
        _this.height = 100;
        return _this;
    }
    GraphicsSvgComponent.prototype.getViewBox = function () {
        return "0 0 " + this.width + " " + this.height;
    };
    __decorate([
        Input(),
        __metadata("design:type", Number)
    ], GraphicsSvgComponent.prototype, "width", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Number)
    ], GraphicsSvgComponent.prototype, "height", void 0);
    GraphicsSvgComponent = __decorate([
        Component({
            selector: 'graphics-svg',
            template: "<svg:svg\n\t\t[attr.viewBox]=\"this.getViewBox()\"\n\t\t[attr.preserveAspectRatio]=\"'none'\"\n><ng-content></ng-content></svg:svg>\n",
            styles: ["@charset 'utf8';:host{width:100%;height:auto}:host.height100{height:100%}svg{display:block;box-sizing:border-box;margin:0;padding:0;width:100%;height:auto}:host.height100 svg{height:100%}"]
        }),
        __metadata("design:paramtypes", [])
    ], GraphicsSvgComponent);
    return GraphicsSvgComponent;
}(CommonsComponent));

var NgxGraphicsCommonsCoreModule = /** @class */ (function () {
    function NgxGraphicsCommonsCoreModule() {
    }
    NgxGraphicsCommonsCoreModule = __decorate([
        NgModule({
            imports: [
                CommonModule
            ],
            declarations: [
                GraphicsSvgComponent
            ],
            exports: [
                GraphicsSvgComponent
            ]
        })
    ], NgxGraphicsCommonsCoreModule);
    return NgxGraphicsCommonsCoreModule;
}());

/*
 * Public API Surface of ngx-graphicscommons-core
 */

/**
 * Generated bundle index. Do not edit.
 */

export { ECOMMONS_PALETTES, ECommonsPalette, GraphicsSvgComponent, NgxGraphicsCommonsCoreModule, fromECommonsPalette, isECommonsPalette, keyToECommonsPalette, toECommonsPalette, ɵ0 };
//# sourceMappingURL=ngx-graphicscommons-core.js.map
